// @import '~@angular/material/theming';
// // Define a theme. https://github.com/angular/material2/blob/master/src/lib/core/theming/prebuilt/indigo-pink.scss
// $app-primary: mat-palette($mat-indigo);
// $app-accent : mat-palette($mat-pink, A200, A100, A400);
// $theme: mat-light-theme($app-primary, $app-accent);
// $primary: mat-color($app-primary);

//visit https://coursetro.com/posts/code/116/Create-your-own-Angular-5-Material-Theme

@import '~@angular/material/theming';

$app-primary-palette: mat-palette($mat-blue, 'A400');
$app-accent-palette:  mat-palette($mat-blue-gray, 900);
$app-warn-palette:    mat-palette($mat-red, 600);//optional param

$app-mat-theme: mat-light-theme($app-primary-palette, $app-accent-palette, $app-warn-palette);

//useful utility vars to be used in other scss file
$app-primary-mat-color: mat-color($app-primary-palette);
$app-accent-mat-color:  mat-color($app-accent-palette);
$app-warn-mat-color:    mat-color($app-warn-palette);
